package com.bytedance.covode.number;

import X.C11517x8;
import X.C26858gm;
import X.C26868gn;

public abstract class Covode {
    public abstract boolean report(C26868gn r1);

    public abstract boolean start(C11517x8 r1);

    public static CovodeNumberImpl getImpl() {
        return CovodeNumberImpl.LIZ;
    }

    public static boolean reportCollections(C26868gn r1) {
        return getImpl().report(r1);
    }

    public static boolean startCollecting(C11517x8 r1) {
        return getImpl().start(r1);
    }

    public static void recordClassIndex(int i) {
        CovodeNumberImpl impl = getImpl();
        if (impl.LIZIZ == null) {
            C26858gm r1 = CovodeNumberImpl.LIZJ;
            if (r1 != null && r1.LIZJ) {
                if (i < 32767) {
                    r1.LIZIZ.add(Short.valueOf((short) i));
                } else {
                    r1.LIZ.add(Integer.valueOf(i));
                }
            }
        } else if (impl.LIZIZ.LIZIZ) {
            impl.recordClassIndexToFile(i);
        }
    }
}
